Package org.gradle.ide.visualstudio.tasks

## Class GenerateProjectFileTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>
          - - org.gradle.ide.visualstudio.tasks.GenerateProjectFileTask

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @Incubating
      @DisableCachingByDefault(because="Not made cacheable, yet")
      public abstract class GenerateProjectFileTask
      extends XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>

  Task for generating a Visual Studio project file (e.g. `foo.vcxproj`).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerateProjectFileTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `configure​(org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile projectFile)` |
    `protected org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile` | `create()` |
    `java.lang.String` | `getGradleArgs()` |
    `java.lang.String` | `getGradleExe()` |
    `protected boolean` | `getIncremental()` | Whether this generator task can be treated as an incremental task or not
    `java.io.File` | `getInputFile()` | The input file to load the initial configuration from.
    `java.io.File` | `getOutputFile()` | The output file to write the final configuration to.
    `Transformer<java.lang.String,​java.io.File>` | `getTransformer()` |
    `VisualStudioProject` | `getVisualStudioProject()` |
    `void` | `initGradleCommand()` |
    `void` | `setGradleArgs​(java.lang.String gradleArgs)` |
    `void` | `setGradleExe​(java.lang.String gradleExe)` |
    `void` | `setVisualStudioProject​(VisualStudioProject vsProject)` |

    - ### Methods inherited from class org.gradle.plugins.ide.api.XmlGeneratorTask

      `getXmlTransformer`

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getInputFileIfExists, getInstantiator, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### GenerateProjectFileTask

          public GenerateProjectFileTask()

  - ### Method Detail

    - #### getIncremental

          protected boolean getIncremental()

      Description copied from class: `GeneratorTask`
      Whether this generator task can be treated as an incremental task or not
      Overrides:
        `getIncremental` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`

    - #### initGradleCommand

          public void initGradleCommand()

    - #### getTransformer

          @Internal
          public Transformer<java.lang.String,​java.io.File> getTransformer()

    - #### setVisualStudioProject

          public void setVisualStudioProject​(VisualStudioProject vsProject)

    - #### getVisualStudioProject

          public VisualStudioProject getVisualStudioProject()

    - #### getInputFile

          @Internal
          public java.io.File getInputFile()

      Description copied from class: `GeneratorTask`
      The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
      Overrides:
        `getInputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`
      Returns:
        The input file.

    - #### getOutputFile

          @OutputFile
          public java.io.File getOutputFile()

      Description copied from class: `GeneratorTask`
      The output file to write the final configuration to.
      Overrides:
        `getOutputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`
      Returns:
        The output file.

    - #### create

          protected org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile create()

      Specified by:
        `create` in class `XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`

    - #### configure

          protected void configure​(org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile projectFile)

      Specified by:
        `configure` in class `XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`

    - #### getGradleExe

          @Input
          public java.lang.String getGradleExe()

    - #### setGradleExe

          public void setGradleExe​(java.lang.String gradleExe)

    - #### getGradleArgs

          @Nullable
          @Optional
          @Input
          public java.lang.String getGradleArgs()

    - #### setGradleArgs

          public void setGradleArgs​(@Nullable
                                    java.lang.String gradleArgs)